<div class="content bg-gradient-danger-duo">
    <div class="container-fluid px-4 px-md-5 pb-3 pt-5 py-md-4">
        <div class="row-title-support align-text-bottom">
            <h6 id="title-support" class="display-4 text-white">Lista de Tickets</h6>
        </div>
    </div>
    <div class="container-fluid px-4 px-md-5 pb-3 pb-md-4">
        <div class="card shadow">
            <div class="card-header text-center border-0 pt-2 pt-md-4 pb-0 pb-md-2">
                <div class="row g-1 justify-content-between">
                    <div class="col-6 col-xl-3 d-flex justify-content-start" id="div-select-status">
                        <mat-form-field mat-flat-button class="btn-close-white">
                            <mat-label>Elegir estado</mat-label>
                            <mat-select>
                                <mat-option>--Ninguno--</mat-option>
                                <mat-option value="1">Pendiente</mat-option>
                                <mat-option value="2">En proceso</mat-option>
                                <mat-option value="3">Observado</mat-option>
                                <mat-option value="4">Resuetlo</mat-option>
                                <mat-option value="5">Anulado</mat-option>
                            </mat-select>
                        </mat-form-field>
                    </div>
                    <div class="col-auto align-self-center d-flex justify-content-end" id="div-button-new-ticket">
                        <a mat-flat-button routerLinkActive="active" [routerLink]="['ticket']"
                            id="text-button-new-ticket" class="btn btn-danger d-flex overflow-hidden">
                            <mat-icon class="me-2">add_circle_outline</mat-icon>
                            Nuevo Ticket
                        </a>
                    </div>
                </div>
            </div>
            <div class="card-body table-responsive">
                <table class="table align-items-center table-flush" mat-table [dataSource]="dataSource1">
                    <ng-container matColumnDef="code">
                        <th mat-header-cell *matHeaderCellDef>#</th>
                        <td mat-cell *matCellDef="let element"> {{element.code}} </td>
                    </ng-container>
                    <ng-container matColumnDef="numberTicket">
                        <th mat-header-cell *matHeaderCellDef>numberTicket</th>
                        <td mat-cell *matCellDef="let element">{{element.numberTicket}}</td>
                    </ng-container>
                    <ng-container matColumnDef="subject">
                        <th mat-header-cell *matHeaderCellDef>subject</th>
                        <td mat-cell *matCellDef="let element">{{element.subject}}</td>
                    </ng-container>
                    <ng-container matColumnDef="description">
                        <th mat-header-cell *matHeaderCellDef> description</th>
                        <td mat-cell *matCellDef="let element">{{element.description}}</td>
                    </ng-container>
                    <ng-container matColumnDef="service">
                        <th mat-header-cell *matHeaderCellDef> servicio</th>
                        <td mat-cell *matCellDef="let element">{{element.service}}</td>
                    </ng-container>
                    <ng-container matColumnDef="date">
                        <th mat-header-cell *matHeaderCellDef>date</th>
                        <td mat-cell *matCellDef="let element">{{element.date}}</td>
                    </ng-container>
                    <ng-container matColumnDef="status">
                        <th mat-header-cell *matHeaderCellDef>estado</th>
                        <td mat-cell *matCellDef="let element">{{element.status}}</td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row;columns:displayedColumns"></tr>
                </table>
            </div>
            <!-- <div class="card-footer py-4">
                <nav aria-label="...">
                    <ul class="pagination justify-content-end mb-0">
                        <li class="page-item disabled">
                            <a class="page-link" href="javascript:void(0)" tabindex="-1">
                                <mat-icon class="align-items-center">fast_rewind</mat-icon>
                            </a>
                        </li>
                        <li class="page-item active">
                            <a class="page-link" href="javascript:void(0)">1</a>
                        </li>
                        <li class="page-item">
                            <a class="page-link" href="javascript:void(0)">2 <span class="sr-only">(actual)</span></a>
                        </li>
                        <li class="page-item"><a class="page-link" href="javascript:void(0)">3</a></li>
                        <li class="page-item">
                            <a class="page-link" href="javascript:void(0)">
                                <mat-icon class="align-items-center">fast_forward</mat-icon>
                            </a>
                        </li>
                    </ul>
                </nav>
            </div> -->
        </div>
    </div>
</div>